Name:           python-s3fs
Version:        2025.5.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Convenient Filesystem interface over S3

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://github.com/fsspec/s3fs/
Source:         %{pypi_source s3fs}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 's3fs' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-s3fs
Summary:        %{summary}

%description -n python3-s3fs %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-s3fs awscli,boto3


%prep
%autosetup -p1 -n s3fs-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x awscli,boto3


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-s3fs -f %{pyproject_files}


%changelog
%autochangelog